DCMTK: DicomDirImageImplementation Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DicomDirImageImplementation Class Reference

Implementation of the pluggable image support for the DICOMDIR class. More...

Inheritance diagram for DicomDirImageImplementation:

## Public Member Functions
| DicomDirImageImplementation ()
| constructor
virtual | ~DicomDirImageImplementation ()
| destructor
virtual OFBool | scaleData (const Uint8 *srcData, const unsigned int srcWidth, const unsigned int srcHeight, Uint8 *dstData, const unsigned int dstWidth, const unsigned int dstHeight) const
| scale given pixel data (monochrome only).
virtual OFBool | scaleImage (DcmItem *dataset, Uint8 *pixel, const unsigned long count, const unsigned long frame, const unsigned int width, const unsigned int height, const OFBool decompressAll=OFFalse) const
| get scaled pixel data from DICOM image.
Public Member Functions inherited from DicomDirImagePlugin
virtual | ~DicomDirImagePlugin ()
| destructor (virtual)

## Additional Inherited Members
Protected Member Functions inherited from DicomDirImagePlugin
| DicomDirImagePlugin ()
| constructor (protected)

## Detailed Description

Implementation of the pluggable image support for the DICOMDIR class.

## Member Function Documentation

## ◆ scaleData()

virtual OFBool DicomDirImageImplementation::scaleData | ( | const Uint8 * | srcData,
|  | const unsigned int | srcWidth,
|  | const unsigned int | srcHeight,
|  | Uint8 * | dstData,
|  | const unsigned int | dstWidth,
|  | const unsigned int | dstHeight ) const
| virtual

scale given pixel data (monochrome only).

The destination pixel data array needs to be allocated by the caller.

Parameters

  srcData | source pixel data (byte array)
  srcWidth | width of the source pixel data (in pixels)
  srcHeight | height of the source pixel data (in pixels)
  dstData | destination pixel data (resulting byte array, not NULL)
  dstWidth | width of the scaled pixel data (in pixels)
  dstHeight | height of the scaled pixel data (in pixels)

Returns
  OFTrue if successful, OFFalse otherwise

Implements DicomDirImagePlugin.

## ◆ scaleImage()

virtual OFBool DicomDirImageImplementation::scaleImage | ( | DcmItem * | dataset,
|  | Uint8 * | pixel,
|  | const unsigned long | count,
|  | const unsigned long | frame,
|  | const unsigned int | width,
|  | const unsigned int | height,
|  | const OFBool | decompressAll = OFFalse ) const
| virtual

get scaled pixel data from DICOM image.

The resulting scaled image (pixel array) is always monochrome. The resulting pixel data array needs to be allocated by the caller.

Parameters

  dataset | DICOM dataset in which the DICOM image is stored
  pixel | resulting pixel data array (not NULL)
  count | number of pixels allocated for the resulting array
  frame | index of the frame to be scaled (1..n)
  width | width of the scaled image (in pixels)
  height | height of the scaled image (in pixels)
  decompressAll | always decompress complete pixel data if true

Returns
  OFTrue if successful, OFFalse otherwise

Implements DicomDirImagePlugin.

The documentation for this class was generated from the following file:

- dcmjpeg/include/dcmtk/dcmjpeg/ddpiimpl.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2